<?php

/**
 * @file
 * ExtraWatch - A real-time ajax monitor and live stats  	 	    	    		  	 	  	 	  		 	 		    	 			 	   		  	 	 		 	 	   	      	  	 		 		 				 			 		  		    	 		 		  
 * @package ExtraWatch  	 	    	    		  	 	  	 	  		 	 		    	 			 	   		  	 	 		 	 	   	      	  	 		 		 				 			 		  		    	 		 		  
 * @version 2.3  	 	    	    		  	 	  	 	  		 	 		    	 			 	   		  	 	 		 	 	   	      	  	 		 		 				 			 		  		    	 		 		  
 * @revision 2697  	 	    	    		  	 	  	 	  		 	 		    	 			 	   		  	 	 		 	 	   	      	  	 		 		 				 			 		  		    	 		 		  
 * @license http://www.gnu.org/licenses/gpl-3.0.txt     GNU General Public License v3  	 	    	    		  	 	  	 	  		 	 		    	 			 	   		  	 	 		 	 	   	      	  	 		 		 				 			 		  		    	 		 		  
 * @copyright (C) 2020 by CodeGravity.com - All rights reserved!  	 	    	    		  	 	  	 	  		 	 		    	 			 	   		  	 	 		 	 	   	      	  	 		 		 				 			 		  		    	 		 		  
 * @website http://www.extrawatch.com  	 	    	    		  	 	  	 	  		 	 		    	 			 	   		  	 	 		 	 	   	      	  	 		 		 				 			 		  		    	 		 		  
 */

defined('_JEXEC') or die('Restricted access');  	 	    	    		  	 	  	 	  		 	 		    	 			 	   		  	 	 		 	 	   	      	  	 		 		 				 			 		  		    	 		 		  

class ExtraWatchDownloadsHTML  	 	    	    		  	 	  	 	  		 	 		    	 			 	   		  	 	 		 	 	   	      	  	 		 		 				 			 		  		    	 		 		  
{

  public $extraWatch;  	 	    	    		  	 	  	 	  		 	 		    	 			 	   		  	 	 		 	 	   	      	  	 		 		 				 			 		  		    	 		 		  
  public $downloads;

  const EW_DAYS_IN_WEEK = 7;


    function __construct() {
    $this->extraWatch = new ExtraWatchMain();
    $this->downloads = new ExtraWatchDownloads($this->extraWatch->database);  	 	    	    		  	 	  	 	  		 	 		    	 			 	   		  	 	 		 	 	   	      	  	 		 		 				 			 		  		    	 		 		  
    }

	
    function renderAddExtension() {  	 	    	    		  	 	  	 	  		 	 		    	 			 	   		  	 	 		 	 	   	      	  	 		 		 				 			 		  		    	 		 		  
        $output = ExtraWatchHelper::get_include_contents("view".DS."dm_add_ext.php", array("extraWatch"=>$this->extraWatch));
        return $output;  	 	    	    		  	 	  	 	  		 	 		    	 			 	   		  	 	 		 	 	   	      	  	 		 		 				 			 		  		    	 		 		  
    }

    function renderEditExtension($eid) {  	 	    	    		  	 	  	 	  		 	 		    	 			 	   		  	 	 		 	 	   	      	  	 		 		 				 			 		  		    	 		 		  
        $editextname = $this->downloads->findExtensionNameById($eid);  	 	    	    		  	 	  	 	  		 	 		    	 			 	   		  	 	 		 	 	   	      	  	 		 		 				 			 		  		    	 		 		  
        $output = ExtraWatchHelper::get_include_contents("view".DS."dm_edit_ext.php", array("extraWatch"=>$this->extraWatch, "eid" => $eid, "editextname" => $editextname));
        return $output;  	 	    	    		  	 	  	 	  		 	 		    	 			 	   		  	 	 		 	 	   	      	  	 		 		 				 			 		  		    	 		 		  
    }


    function renderAddFile() {  	 	    	    		  	 	  	 	  		 	 		    	 			 	   		  	 	 		 	 	   	      	  	 		 		 				 			 		  		    	 		 		  
        $output = ExtraWatchHelper::get_include_contents("view".DS."dm_add_filepath.php", array("extraWatch"=>$this->extraWatch));
        return $output;  	 	    	    		  	 	  	 	  		 	 		    	 			 	   		  	 	 		 	 	   	      	  	 		 		 				 			 		  		    	 		 		  
    }

    function renderEditFile($did) {  	 	    	    		  	 	  	 	  		 	 		    	 			 	   		  	 	 		 	 	   	      	  	 		 		 				 			 		  		    	 		 		  
        $editfilepathname = $this->downloads->findFilePathNameById($did);  	 	    	    		  	 	  	 	  		 	 		    	 			 	   		  	 	 		 	 	   	      	  	 		 		 				 			 		  		    	 		 		  
        $output = ExtraWatchHelper::get_include_contents("view".DS."dm_edit_filepath.php", array("extraWatch"=>$this->extraWatch, "did" => $did, "editfilepathname" => $editfilepathname));
        return $output;  	 	    	    		  	 	  	 	  		 	 		    	 			 	   		  	 	 		 	 	   	      	  	 		 		 				 			 		  		    	 		 		  
    }

    function renderChartValues($topDownloads, $didArray) {
        $dailydata = "";
        $i = 0;
        foreach ($topDownloads as $download => $downloadValue) {
            if ($didArray[$downloadValue->dname]) {
                $dailydata .= $didArray[$downloadValue->dname];
            } else {
                $dailydata .= 0;
            }
            if ($i < sizeof($topDownloads)-1) {
                $dailydata .= ",";
            }
            $i++;
        }
        return $dailydata;
    }

    function renderTopPathNames($topDownloads) {
        $fname = "";
        if (@$topDownloads) {
            foreach ($topDownloads as $cht) {
                $fname = $fname . "'" . $cht->dname . "',";
            }
            return $fname;
        }
        return $fname;
    }

    function renderWeeklyData($topDownloads) {
        define('EW_GRAPH_ITEMS_NUM', self::EW_DAYS_IN_WEEK * 4);

        $currentWeekStartDate = date("Y-m-d", strtotime("next sunday"));
        $graphDateStart = date("Y-m-d", (strtotime($currentWeekStartDate) - (6 * self::EW_DAYS_IN_WEEK * 60 * 60 * 24 * 4)));

        $dailydata = "";
        for ($i = 0; $i < EW_GRAPH_ITEMS_NUM; $i++) {
            $graphDayStartISOFormat = date("Y-m-d", (strtotime($graphDateStart) + (($i - 1) * self::EW_DAYS_IN_WEEK * 60 * 60 * 24)));
            $graphDayStartHuman = date("j M Y", strtotime($graphDayStartISOFormat));

            $graphDateEnd = strtotime($graphDateStart) + (($i) * self::EW_DAYS_IN_WEEK * 60 * 60 * 24);

            if ($graphDateEnd > time()) {
                $graphDateEnd = time();
                $i = EW_GRAPH_ITEMS_NUM;
            }

            $graphDayEndISOFormat = date("Y-m-d", ($graphDateEnd));
            $graphDayEndHuman = date("j M Y", strtotime($graphDayEndISOFormat));

            $dailydata .= '["' . $graphDayEndHuman . '",';

            if (@$topDownloads) {
                $chartQueryResults = $this->downloads->findChartValuesFilteredByDates($graphDayStartISOFormat, $graphDayEndISOFormat);
                $didArray = array_fill(1, sizeof($topDownloads), null);
                if (@$chartQueryResults) {
                    foreach ($chartQueryResults as $did_count => $did_value) {
                        $didArray[$did_value->dname] = $did_value->count;
                    }
                }
                $dailydata .= $this->renderChartValues($topDownloads, $didArray);
            }
            $dailydata .= '],';
        }
        return $dailydata;
    }

    function renderDailyData($topDownloads) {
        $currdate = date("Y-m-d");
        $preday = date("Y-m-d", (strtotime($currdate) - (6 * 60 * 60 * 24)));
        $dailydata = "";
        for ($da = -7 * 4; $da < 7; $da++) {
            $pday = date("Y-m-d", (strtotime($preday) + ($da * 60 * 60 * 24)));
            $dpday = date("j M Y", strtotime($pday));
            $dailydata .= '["' . $dpday . '",';


            if (@$topDownloads) {
                $chartQueryResults = $this->downloads->findChartValuesFilteredByDate($pday);
                $didArray = array_fill(1, sizeof($topDownloads), null);
                if (@$chartQueryResults) {
                    foreach ($chartQueryResults as $did_count => $did_value) {
                        $didArray[$did_value->dname] = $did_value->count;
                    }
                }
                $dailydata .= $this->renderChartValues($topDownloads, $didArray);
            }

            $dailydata .= '],';
        }
        return $dailydata;
    }

    
}
